# COLOR PICKER FLUTTER

[![pub package](https://img.shields.io/pub/v/iglu_color_picker_flutter?include_prereleases.svg "IGLU COLOR PICKER FLUTTER")](https://pub.dev/packages/iglu_color_picker_flutter)
[![badge](https://img.shields.io/badge/%20built%20with-%20%E2%9D%A4-ff69b4.svg "build with love")](https://github.com/mchome/flutter_colorpicker)

A highly customizable color picker for Flutter

## Getting Started

There are three types of widgets available:
- Color Picker
- Hue Ring Picker (Coming Soon)
- Slider Picker (Coming Soon)

### Color Picker

You can use the color picker by simply adding this little snippet to your code

```dart
IGColorPicker(
  paletteType: widget.paletteType,
  onColorChanged: (color) {
    print(color);
  },
)
```

You can control just about anything with the following parameters:

```dart
// Widget type
final IGPaletteType paletteType;
// Starting color of the widget.
final Color? currentColor;
// Function to manage the color change of the value
final ValueChanged<Color>? onColorChanged;

// Builder to build dynamic history widgets
final Widget Function(List<Color>)? historyColorsBuilder;
// List of colors to show in history (it is not used if the builder is used)
final List<Color>? colorHistory;

// Padding of the whole view
final EdgeInsetsGeometry? padding;
// Height between one element and another
final double elementSpacing;

// show or hide the slider
final bool showSlider;
// Color Slider border width
final double? sliderRadius;
// Color Slider border color
final Color? sliderBorderColor;
// Color Slider border width
final double? sliderBorderWidth;
// Color Slider show / hide thumb color
final bool displayThumbColor;

// show or hide the alpha slider
final bool enableAlpha;
// Alpha Slider border radius
final double? alphaSliderRadius;
// Alpha Slider border color
final Color? alphaSliderBorderColor;
// Alpha Slider border width
final double? alphaSliderBorderWidth;

// Area border width
final double areaWidth;
// Area border height
final double? areaHeight;
// Area border radius
final double? areaRadius;
// Area border color
final Color? areaBorderColor;
// Area border width
final double? areaBorderWidth;

// show or hide the input bar
final bool showInputBar;
// InputBar border radius
final double? inputBarRadius;
// InputBar border color
final Color? inputBarBorderColor;
// InputBar border width
final double? inputBarBorderWidth;
// InputBar padding
final EdgeInsetsGeometry? inputBarPadding;
// Disable the InputBar interaction
final bool? inputBarDisable;
// Function to generate a custom widget for the input bar
final Widget Function(Color)? customInputBar;

// show color information or not (example rgb), you can hide it by passing empty array.
final List<IGColorLabelType> colorDetailsLabelTypes;
// Function to generate a custom widget for color information
final Widget Function(
  List<String> hex,
  List<String> rgb,
  List<String> hsv,
  List<String> hsl,
)? colorDetailsWidget;

```

## Example

For full details explore the examples in [example](https://github.com/IGLU-Agency/iglu-color-picker-flutter/tree/master/example) folder.